<h2 mat-dialog-title>{{titleModal}}</h2>
<mat-dialog-content class="mat-typography">

  <form [formGroup]="reviewForm">

    <mat-form-field appearance="outline">
      <mat-label>ID</mat-label>
      <input formControlName="id" matInput placeholder="Placeholder" readonly>
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>Nombre</mat-label>
      <input formControlName="comment" matInput placeholder="Placeholder">
    </mat-form-field>

    <mat-form-field appearance="outline">
      <mat-label>Descripción</mat-label>
      <input formControlName="commentator" matInput placeholder="Placeholder">
    </mat-form-field>

    <mat-form-field appearance="fill">
      <mat-label>Fecha</mat-label>
      <input formControlName="createAt" matInput [matDatepicker]="picker">
      <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
      <mat-datepicker #picker></mat-datepicker>
    </mat-form-field>


    <mat-form-field appearance="fill">
      <mat-label>Favorite food</mat-label>
      <mat-select formControlName="movieId">
        <mat-option *ngFor="let movie of movieList" [value]="movie.id">
          {{movie.name}}
        </mat-option>
      </mat-select>
    </mat-form-field>

  </form>

</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-raised-button mat-dialog-close color="accent">Cancelar</button>
  <button mat-raised-button [mat-dialog-close]="true" cdkFocusInitial color="primary"
          (click)="addReview()">{{buttonModal}}
  </button>
</mat-dialog-actions>
